Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class CommandServerPardon

    java.lang.Object
      net.minecraft.src.CommandBase
          net.minecraft.src.CommandServerPardon

All Implemented Interfaces:
  Comparable, ICommand

    public class CommandServerPardon

extends CommandBase

Constructor Summary
`CommandServerPardon()`

Method Summary
`List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)` Adds the strings available in this command to the given list of tab completion options.
`boolean` | `canCommandSenderUseCommand(ICommandSender par1ICommandSender)` Returns true if the given command sender is allowed to use this command.
`String` | `getCommandName()`
`String` | `getCommandUsage(ICommandSender par1ICommandSender)`
`int` | `getRequiredPermissionLevel()` Return the required permission level for this command.
`void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

Methods inherited from class net.minecraft.src.CommandBase
`compareNameTo, compareTo, doesStringStartWith, func_82359_c, func_82360_a, func_82361_a, func_82363_b, getCommandAliases, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, isUsernameIndex, joinNiceString, notifyAdmins, notifyAdmins, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandServerPardon

    public CommandServerPardon()

Method Detail

### getCommandName

    public String getCommandName()

### getRequiredPermissionLevel

    public int getRequiredPermissionLevel()

  Return the required permission level for this command.

  Overrides:
    `getRequiredPermissionLevel` in class `CommandBase`

### getCommandUsage

    public String getCommandUsage(ICommandSender par1ICommandSender)

  Specified by:
    `getCommandUsage` in interface `ICommand`
  Overrides:
    `getCommandUsage` in class `CommandBase`

### canCommandSenderUseCommand

    public boolean canCommandSenderUseCommand(ICommandSender par1ICommandSender)

  Returns true if the given command sender is allowed to use this command.

  Specified by:
    `canCommandSenderUseCommand` in interface `ICommand`
  Overrides:
    `canCommandSenderUseCommand` in class `CommandBase`

### processCommand

    public void processCommand(ICommandSender par1ICommandSender,
                               String[] par2ArrayOfStr)

### addTabCompletionOptions

    public List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                        String[] par2ArrayOfStr)

  Adds the strings available in this command to the given list of tab completion options.

  Specified by:
    `addTabCompletionOptions` in interface `ICommand`
  Overrides:
    `addTabCompletionOptions` in class `CommandBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD